//  author: Milad KhatShab
//  website: https://swiftacademy.ir
//  article: https://swiftacademy.ir/swiftui-learning/text-field/


import SwiftUI

struct ContentView: View {
    @State var text = ""
    @State var disableTextField = false
    var body: some View {
        
        TextField("type your name", text: $text)
        .disabled(disableTextField)
        .foregroundColor(.blue)
        .multilineTextAlignment(.center)

        Button("Disable or enable TextField") {
        disableTextField = !disableTextField
        }

        Text("my name is \(text)")
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
